--
-- Home text for global sections
-- (created for www.amrophever.sk)
--
alter table ezin_articles add ghometext text after atitle;
alter table ezin_articles add ghometext_wordcount int(11) after datetime;
alter table ezin_articles add ghometext_flags varchar(10) after bodytext_wordcount;

--
-- ezin_authors indexes
--
alter table ezin_authors add key ezin_authors_type (type);
alter table ezin_authors add key ezin_authors_access_key (access_key);
alter table ezin_authors add key ezin_authors_template_key (template_key);

--
-- IP address fields resize
--
alter table ezin_sessions    modify ip varchar(255);
alter table ezin_counts_temp modify ip varchar(255);

--
-- New authors fields
--
alter table ezin_authors add location varchar(150) after name;
alter table ezin_authors add position varchar(150) after name;
alter table ezin_authors modify email varchar(150);

--
-- Article relation to editorial
--
alter table ezin_editorials add article_id int(11) default NULL after section_id;
alter table ezin_editorials add key ezin_editorials_article_id (article_id);

--
-- New authors field for bind
--
ALTER TABLE `ezin_authors` ADD `bind` INT NULL DEFAULT NULL AFTER `type` ;

--
-- Flag for Calendar
--
ALTER TABLE `ezin_articles` ADD `calendar_flag` DATE NULL AFTER `bodytext` ;

--
-- Flag for Featured Articles
--
ALTER TABLE `ezin_articles` ADD `featured_articles_flag` DATETIME NULL AFTER `calendar_flag` ;

--
-- New Article status and Section type, transform value from old type to new
--
ALTER TABLE `ezin_articles` ADD `display` SET('enabled','in_normal','in_global') AFTER `status` ;

UPDATE `ezin_articles` SET `display` = 'enabled,in_normal,in_global' WHERE `status` = 'showed' ;
UPDATE `ezin_articles` SET `display` = 'enabled,in_normal' WHERE `status` = 'partly_showed' ;
UPDATE `ezin_articles` SET `display` = 'enabled' WHERE `status` = 'hidden' ;
UPDATE `ezin_articles` SET `display` = '' WHERE `status` = 'disabled' ;

ALTER TABLE `ezin_sections` ADD `type2` SET('global') AFTER `type` ;
ALTER TABLE `ezin_sections` ADD `display` SET('in_list','articles_enabled','articles_in_normal','articles_in_global') AFTER `type2` ;
ALTER TABLE `ezin_sections` ADD `select` SET('articles','pages','editorials') AFTER `display` ;

UPDATE `ezin_sections` SET `type2` = 'global', `display` = 'in_list,articles_enabled,articles_in_normal,articles_in_global', `select` = 'articles,pages,editorials' WHERE `type` = 'global' ;
UPDATE `ezin_sections` SET `type2` = '', `display` = 'in_list,articles_enabled,articles_in_normal,articles_in_global', `select` = 'articles,pages,editorials' WHERE `type` = 'normal' ;
UPDATE `ezin_sections` SET `type2` = '', `display` = 'articles_enabled,articles_in_normal,articles_in_global', `select` = 'articles,pages,editorials' WHERE `type` = 'hidden' ;
UPDATE `ezin_sections` SET `type2` = '', `display` = 'articles_enabled,articles_in_normal', `select` = 'articles,pages,editorials' WHERE `type` = 'hidden2' ;
UPDATE `ezin_sections` SET `type2` = '', `display` = 'articles_enabled', `select` = 'articles,pages,editorials' WHERE `type` = 'full_hidden' ;
UPDATE `ezin_sections` SET `type2` = '', `display` = '', `select` = '' WHERE `type` = 'disabled' ;

